/* ================= HEADER ================= */
.bs-header {
    position: sticky;
    top: 0;
    width: 100%;
    z-index: 999;

    .navbar {
        position: absolute;
        width: 100%;
        padding: 10px 20px;
        background: transparent;
        &::before {
            content: "";
            position: absolute;
            inset: 0;
            background: transparent;
            backdrop-filter: blur(10px);
            z-index: -1;
            transition: 0.4s ease;
        }
        .navbar-menu-icon {
            font-size: 22px;
            color: #fff;
        }
    }

    .nav-link {
        color: #fff;
        font-size: 14px;
        transition: 0.4s ease;
        white-space: nowrap;
        text-wrap: nowrap;
        &:hover 
        {
            text-decoration: underline;
            text-underline-position: under;
        }
        &:focus-visible {
            box-shadow: none;
        }
    }
    .nav-item.dropdown {
        position: static;
    }
    .dropdown-toggle::after {
        transition: transform 0.3s ease;
    }
    .dropdown.show > .dropdown-toggle::after {
        transform: rotate(180deg);
    }
    .mega-menu {
        width: 100%;
        left: 0;
        right: 0;
        top: 100%;
        padding: 30px 0;
        border: none;
        position: absolute;
        background: transparent;
        z-index: 999;
        opacity: 0;
        visibility: hidden;
        transition: 0.4s ease;

        .mega-menu-close {
            position: absolute;
            top: 10px;
            right: 20px;
            width: 32px;
            height: 32px;
            display: flex;
            align-items: center;
            justify-content: center;
            border: none;
            border-radius: 50px;
            background: rgba(255, 255, 255, 0.07);
            backdrop-filter: blur(2px);
            -webkit-backdrop-filter: blur(2px);
            color: #fff;
            font-size: 16px;
            cursor: pointer;
            box-shadow: inset 0 0 0 1px rgba(255, 255, 255, 0.15);
            z-index: 1000;
            transition: 0.3s ease;

            &:hover {
                background: rgba(255, 255, 255, 0.15);
                backdrop-filter: blur(10px);
                -webkit-backdrop-filter: blur(10px);
            }
        }

        &.amenities-menu
        {
            .property-card
            {
                .card-content
                {
                    min-height: auto;
                }

                .content-title 
                {
                   margin-bottom: 0px;
                }
            }
        }
    }
    .dropdown.show .mega-menu {
        opacity: 1;
        visibility: visible;
        transition: 0.4s ease;
    }
    &:has(.custom-dropdown.show) .navbar::before 
    {
        height: 550px;
        transition: height 0.4s ease;
    }
    &:has(.custom-dropdown.show .amenities-menu) .navbar::before 
    {
        height: 100vh;
        transition: height 0.4s ease;
    }
    .offcanvas-body
    {
        width: 100%;
    }
}

.property-card {
    position: relative;
    overflow: hidden;
    cursor: pointer;
    img {
        width: 100%;
        height: 100%;
        object-fit: cover;
        transition: 0.6s ease;
    }
    &:hover img {
        transform: scale(1.05);
    }
    .card-content {
        position: absolute;
        bottom: 0;
        width: 100%;
        padding: 12px;
        color: #fff;
        background: transparent;
        backdrop-filter: blur(5px);
        min-height: 126px;

        @media(width <= 1024px)
        {
            min-height: auto;
        }

        .content-title {
            font-size: 14px;
            text-transform: uppercase;
            font-weight: 600;
            letter-spacing: 2px;
        }

        .content-desc {
            font-size: 12px;
            line-height: 1.2;
        }
    }
}

@media (max-width: 1200px) {
    .bs-header {
        .navbar {
            padding: 10px 15px;

            >.container-fluid
            {
                flex-direction: row-reverse;
            }
        }
        &:has(.custom-dropdown.show) .navbar::before 
        {
            height: 0px;
        }
        .navbar-brand
        {
            max-width: 230px;
        }
        .offcanvas {
            background: transparent;
            backdrop-filter: blur(10px);

            &.offcanvas-start
            {
                width: 100%;
            }
            .nav-item
            {
                width: 100%;
            }
            .nav-link
            {
                font-size: 16px;
                width: 100%;
                padding: 14px 0;
                border-bottom: 1px solid rgba(255, 255, 255, 0.15);
            }
            .dropdown-toggle
            {
                display: flex;
                align-items: center;

                .blink-text
                {
                    margin-right: 4px;
                }

                &::after
                {
                    margin-left: auto;
                }
            }
        }
        .mega-menu {
            position: static;
            opacity: 1;
            visibility: visible;
            padding: 10px 0;

            &::before {
                display: none;
            }
        }
        
    }
    .property-card img {
        height: 260px;
        object-fit: cover;
    }

    .mega-menu-close
    {
        display: none !important;
    }

    .whatsapp-icon
    {
        width: 21px;
        height: 21px;
    }
}
